function [bin] = getSlope(cont)

X = cont;
[coeff,score,roots] = princomp(X);
[n,p] = size(X);
meanX = mean(X,1);

dirVect = coeff(:,1);
Xfit1 = repmat(meanX,n,1) + score(:,1)*coeff(:,1)';

t = [min(score(:,1))-.2, max(score(:,1))+.2];
endpts = [meanX + t(1)*dirVect'; meanX + t(2)*dirVect'];
slope = atand(diff(endpts(:,2))/diff(endpts(:,1)));
if (slope<0)
    slope = 180+slope;
end
bin = ceil((slope*10)/180)
if 0
    plot(endpts(:,1),endpts(:,2),'k-');
    hold on
    plot(X(:,1),X(:,2),'bo');
    pause;
    hold off
end

