function [articu_sc_array] = getSlopes(articu_cont,articu_sc)

%load('dataset/train/articu_cont.mat') ;
%load('dataset/train/SC_05x12x100.mat');
n_class = size(articu_cont,1);
n_obj = size(articu_cont,2);

articu_sc_array = cell(1,10);

for iC=1:n_class
    for iO=1:n_obj
        X = articu_cont{iC,iO};
        [coeff,score,roots] = princomp(X);
        [n,p] = size(X);
        meanX = mean(X,1);

        dirVect = coeff(:,1);
        Xfit1 = repmat(meanX,n,1) + score(:,1)*coeff(:,1)';

        t = [min(score(:,1))-.2, max(score(:,1))+.2];
        endpts = [meanX + t(1)*dirVect'; meanX + t(2)*dirVect'];
        slope = atand(diff(endpts(:,2))/diff(endpts(:,1)));
        if (slope<0)
            slope = 180+slope;
        end
        %fprintf('%d - %d',iC,iO);
        bin = ceil((slope*10)/180)
        articu_sc_array{1,bin}{iC,size(articu_sc_array{1,bin},2)+1} = articu_sc{iC,iO};
        if 0
            plot(endpts(:,1),endpts(:,2),'k-');
            hold on
            plot(X(:,1),X(:,2),'bo');
            pause;
            hold off
        end
    end
end
