function [svmModel] = get_svmModel(sc)

    train_class = size(sc,1);
    train_obj = size(sc,2);
    
    training_data = [];
    groups = [];
    
    for iC=1:train_class
		for i0=1:train_obj
            if( (size(sc{iC,i0},1)==60) && (size(sc{iC,i0},2)==200) )
                %fprintf('----------------\n');
                sctemp = reshape(sc{iC,i0},1,60*200);
                training_data = [training_data;sctemp];
                groups = [groups;iC];
            end
        end
    end
    
    %--- Building the classifier
    svmModel = svmtrain(training_data, groups, ..., 
                    'Kernel_Function','linear');
    