function [I] = process_image(sdir)

addpath common_innerdist/;
for i=1:2
    for j=1:9
        sfn = [sdir 'database_' i2s(i) '_' i2s(j) '.jpg'];
        dfn = [sdir 'database_' i2s(i) '_' i2s(j)  '.bmp'];
        I = imread(sfn);
        bw = im2bw(I,0.1);
        imSmoothed = medfilt2(bw, [3 3]);
        imwrite(imSmoothed,dfn,'bmp');
    end
end