function [classes,cp] = svm_classify(svmModels, test_articu_cont, test_articu_sc)
    
    test_class = size(test_articu_sc,1);
    test_obj = size(test_articu_sc,2);
    
    testing_data = [];
    true_labels = [];
    classes = [];
    
    %--- Building the testing set matrix--------
    for iC=1:test_class
		for i0=1:test_obj
            cont = test_articu_cont{iC,i0};
            bin = getSlope(cont);
            svmModel = svmModels{bin};
            sctemp = reshape(test_articu_sc{iC,i0},1,60*200);
            class = svmclassify(svmModel, sctemp)
            classes = [classes;class];
            %testing_data = [testing_data;sctemp];
            true_labels = [true_labels;iC];
        end
    end
    
    %--- Building test matrix --------------
    %testing_data = reshape(test_sc,1,60*100);
    
    %--- Classification----------
    %classes = svmclassify(svmModel, testing_data);
    
    cp = classperf(classes,true_labels);
    
    