function skin_segment(sdir)
    addpath common_innerdist;
    n_obj1 = 20;
    n_obj2 = 18;

    for x=1:n_obj1
        fn = [sdir 'person1_1_' i2s(x) '.jpg']
        img=imread(fn);
        img=rgb2ycbcr(img);
        for i=1:size(img,1)
            for j= 1:size(img,2)
                cb = img(i,j,2);
                cr = img(i,j,3);
                if(~(cr > 132 && cr < 173 && cb > 76 && cb < 126))
                    img(i,j,1)=235;
                    img(i,j,2)=128;
                    img(i,j,3)=128;
                end
            end
        end

        img=ycbcr2rgb(img);

        for i=1:size(img,1)
            for j=1:size(img,2)
                r=img(i,j,1);
                g=img(i,j,2);
                b=img(i,j,3);
                if(r==255 && g==255 && b==255)
                    img(i,j,1)=0;
                    img(i,j,2)=0;
                    img(i,j,3)=0;
                end
            end
        end
        im=edgecolor(img);
        fn = [sdir 'person1_1_' i2s(x) '.bmp'];
        imwrite(im,fn,'bmp');
    end

    for x=1:n_obj2
        fn = [sdir 'person1_2_' i2s(x) '.jpg']
        img=imread(fn);
        img=rgb2ycbcr(img);
        for i=1:size(img,1)
            for j= 1:size(img,2)
                cb = img(i,j,2);
                cr = img(i,j,3);
                if(~(cr > 132 && cr < 173 && cb > 76 && cb < 126))
                    img(i,j,1)=235;
                    img(i,j,2)=128;
                    img(i,j,3)=128;
                end
            end
        end

        img=ycbcr2rgb(img);

        for i=1:size(img,1)
            for j=1:size(img,2)
                r=img(i,j,1);
                g=img(i,j,2);
                b=img(i,j,3);
                if(r==255 && g==255 && b==255)
                    img(i,j,1)=0;
                    img(i,j,2)=0;
                    img(i,j,3)=0;
                end
            end
        end
        im=edgecolor(img);
        fn = [sdir 'person1_2_' i2s(x) '.bmp'];
        imwrite(im,fn,'bmp');
    end