function [classes,cp] = svm_classify_one(svmModel, test_articu_cont, test_articu_sc)
    
    test_class = size(test_articu_sc,1);
    test_obj = size(test_articu_sc,2);
    
    testing_data = [];
    true_labels = [];
    classes = [];
    
    %--- Building the testing set matrix--------
    for iC=1:test_class
		for i0=1:test_obj
            sctemp = reshape(test_articu_sc{iC,i0},1,60*200);
            class = svmclassify(svmModel, sctemp)
            classes = [classes;class]
            true_labels = [true_labels;iC]
        end
    end
    cp = classperf(classes,true_labels);