function [test_articu_sc] = test_comp_normal_sc(test_dir,test_Cont,n_dist, n_theta, bTangent,test_n_class,test_n_obj)

	fprintf('Compute all Training shape context ...............................\n\n');

	n_class	= test_n_class;
	n_obj	= test_n_obj;
	articu_sc	= cell(n_class,n_obj);
	load(test_Cont);		% get 'articu_cont'

	fg_mask	= [];
	for iC=1:n_class
		for iO=1:n_obj
			tic;
			fprintf('class %2d, object %2d :  ', iC,iO);
			% fn	= [sdir i2s(iC,2) '_' i2s(iID,2) '.bmp'];
			% im0	= double(imread(fn));

			cont		= test_articu_cont{iC,iO};
			[sc,dis_mat,ang_mat] = compu_contour_SC( cont, n_dist, n_theta, bTangent);
			test_articu_sc{iC,iO}	= sc;
			
% 			keyboard;
			if 0 % demo
				figure(531);	clf; hold on;	
				disp_schist([],cont,sc,n_dist,n_theta);
			end
			
			n_time	= toc;	
			fprintf('|cont|=%4d\n', size(cont,1));
		end
	end
